Wikipedia.org Portal: updated page layout release to production
Closed, ResolvedPublic

Description

The Discovery team would like to update the Wikipedia.org portal page with a new design. This proposed design will have a dropdown menu to display the Wikipedia's by language, instead of the existing list. It is a change that makes sense to the portal team, so we have:

We hope to close out the discussion on July 19, 2016 and release this update to production.

This ticket is to review the already written code that was used for the successful A/B test and push it into production on wikipedia.org.

We also hope to do a few A/B tests for updating the content of the language dropdown to take into account an alphabetical listing of languages and/or a listing of the languages by region. We'll also need to figure out how to display the overall language by article count stats in a nice, clean and intuitive manner. These A/B tests will be run sometime after the new page layout is in production.

debt created this task.Jul 12 2016, 7:47 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 12 2016, 7:47 PM
debt triaged this task as High priority.Jul 12 2016, 7:47 PM
debt moved this task from Backlog to What's Next on the Discovery-Portal-Sprint board.

Change 303254 had a related patch set uploaded (by Jdrewniak):
New layout with language list dropdown.

https://gerrit.wikimedia.org/r/303254

Change 303254 merged by jenkins-bot:
New layout with language list dropdown.

https://gerrit.wikimedia.org/r/303254

Change 304976 had a related patch set uploaded (by Jdrewniak):
Bumping portals to master New wikipedia.org layout.

https://gerrit.wikimedia.org/r/304976

Change 304976 merged by jenkins-bot:
Bumping portals to master New wikipedia.org layout.

https://gerrit.wikimedia.org/r/304976

Mentioned in SAL [2016-08-16T15:47:37Z] <thcipriani@tin> Synchronized portals/prod/wikipedia.org/assets: SWAT: [[gerrit:304976|Bumping portals to master (T140153)]] (duration: 00m 51s)

Mentioned in SAL [2016-08-16T15:48:24Z] <thcipriani@tin> Synchronized portals: SWAT: [[gerrit:304976|Bumping portals to master (T140153)]] (duration: 00m 47s)

debt closed this task as Resolved.Aug 17 2016, 11:36 PM
debt claimed this task.

We deployed this update to the Wikipedia portal on Aug 16, 2016. There was also a blog post about it, as well as some social media posts on Facebook and on Twitter while also sent to a few mailing lists (wikitech-l, wikitech-ambassadors, discovery)

debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.Aug 22 2016, 7:23 PM